// User the_droid    http://letsmakerobots.com/user/19552
// Remote transmitting over RF Link to Serial Monitor, if the room is too cold or too warm
// You need to download the DHT11 library (by Adafruit)
// Tested with VirtualWire 1.10 and Arduino IDE 020 and 4800 Bits per sec
// Connection of your DHT11 Sensor
// (Sensor(pin 1 GND)to Arduino GND) 
// (Sensor(pin 2 DATA)to Arduino(pin 2))  
// (Sensor(pin 3 VDD) to Arduino 5V) 

#include <DHT.h>  //include the DHT library
#include <VirtualWire.h>  // you must download and install the VirtualWire.h to your hardware/libraries folder
#undef int
#undef abs
#undef double
#undef float
#undef round
#define DHTPIN 2 //the pin we are connected to (2)
#define DHTTYPE DHT11 // I am using the DHT11
DHT dht(DHTPIN, DHTTYPE);

void setup()
{
    Serial.begin(9600); // Debugging only
    dht.begin();        // Initisalise the Sensor
    
    //Initialise the IO and ISR
    vw_set_ptt_inverted(true); // Required for RF Link module
    vw_setup(4800);                 // 4800 Bits per sec
    vw_set_tx_pin(3);                // pin 3 is used as the transmit data out into the TX Link module, change this to suit your needs. 

}

void loop()
{
   float t = dht.readTemperature(); // Data I get from my Sensor, these are ints
   float compare = 24.00;           //
   if (t <= compare)                // Compare Sensor_Data with 24 Degrees
  {
    const char *c = "It is cold in your Room";  
    vw_send((uint8_t *)c, strlen(c));
    vw_wait_tx();                  // Wait for message to finish
    delay(1000);
  }
  
   else 
  { 
    const char *c = "It is warm in your Room";
    vw_send((uint8_t *)c, strlen(c));
    vw_wait_tx();                    // Wait for message to finish
    delay(1000); }
   
    Serial.println(t);  //debugging only
}
